class ocpattrauth inherits ocpattrauth::params {

  require ocpattrauth::install
  require ocpattrauth::config

  service { "${tomcat}":
    ensure     => running,
    enable     => true,
    hasstatus  => true,
    hasrestart => true,
    alias      => "tomcat",
  }

  if $aa_host == $aa_db_host or $aa_db_host == "localhost" {

    require ocpattrauth::database

    Class['ocpattrauth::install'] -> Class['ocpattrauth::config'] -> Class['ocpattrauth::database'] -> Service["${tomcat}"]

  } else {

    Class['ocpattrauth::install'] -> Class['ocpattrauth::config'] -> Service["${tomcat}"]

  }
  
}
